<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_6a90de6af30bf720b668cfb570e" . "606de" => base64_decode("cHJldl9zd" . "GF0ZQ=="), "_2e858fb1" . "973337f53" . "ff85c104f" . "cb38f4" => base64_decode("cHVibGlza" . "GVk"), "ti" . "tl" . "e" => base64_decode("dG" . "l0" . "bG" . "U="), "_939c6a45ff743" . "23dbef487ed157" . "53a7c" => base64_decode("c3RhdGU" . "="), "_4c760fb02a49c" . "55509ba087b84f" . "bda45" => base64_decode("ZHJhZ" . "nQ="), "_b2f5a100451164396178c1" . "6d2a5c6899" => base64_decode("cHJldl90aXRs" . "ZQ=="));
use Claromentis\Core\Event\GenericEvent;


class UpdateDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_b2f5a100451164396178c16" . "d2a5c6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["tit" . "le"]);
    }
    public function GetPrevState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_6a90de6af30bf720b668cf" . "b570e606de"]);
    }
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_939c6a45ff74" . "323dbef487ed1" . "5753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_939c6a45ff7" . "4323dbef487e" . "d15753a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_4c760fb" . "02a49c55" . "509ba087" . "b84fbda4" . "5"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_2e858fb1973337f53ff85c" . "104fcb38f4"];
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}